List Pay-Ins

The GET /fundings/ method enables you to retrieve detailed information about your pay-ins (fundings). You can retrieve a list of the pay-ins made into your account or specific transactions.

The Pix Payments API supports three types of pay-in transactions:

  • Direct funding: The payer deposits directly into your account.
  • Inbound reversal: This transaction refunds a previously completed payout (withdrawal) and follows the funding flow.
  • Funding via a dynamic QR code: The payer transfers the funds into your account via a dynamic QR code.
🚧

Users of Fundings via Dynamic QR Codes

For pay-ins made via a dynamic QR code, the GET /fundings/ endpoint displays these transactions only when they reach the PAID status, making it less helpful for real-time tracking. To get detailed payment information or track pay-ins effectively, refer to the dedicated endpoint for this transaction type: Retrieve a QR-Code Pay-In.

HTTP Request

Header Parameters

You must specify the following authorization parameters in your request:

ParameterDescriptionRequired
keySee the section, AuthenticationYes
signatureSee the section, AuthenticationYes
nonceSee the section, AuthenticationYes

Path Parameters

You can recover an individual funding with the following path parameter:

ParameterDescriptionRequired
fidSpecifies the unique identifier of the funding to retrieve.No

Query Parameters

You can also use the following query parameters in your request:

ParameterDescriptionRequiredDefault Value
limitSpecifies the number of objects to return. Maximum is 100.No25
markerSpecifies to return the objects that are older than the object with the given funding ID (marker=fid). Useful for pagination.No
methodRestricts the list of fundings to those of the specified method.
Valid values: method codes such as pixstark (supported value for Pix payments), praxis, usdc_trf, btc, and eth_erc20.
No
statusRestricts the list of fundings to those of the specified status.
Valid values: pending, complete, failed.
No
fidsEnables searching for fundings using a list of unique identifiers, formatted as a comma-separated list.
  • *Important:** All other parameters are ignored, and the returned value must be consumed as JSON only.
No

JSON Response Payload

The endpoint returns a JSON array of fundings. Every element in the array is a JSON object that represents a funding and includes the following fields:

Field NameDescriptionTypeUnits
amountThe amount received in the specified currency. This positive number represents the monetary amount credited to the Bitso account.StringCurrency
assetThe digital asset in the network used. In most cases, it is the same as currency. Supported value: brlStringCurrency
created_atThe date and time when the service received the funding.StringISO 8601 timestamp
currencyThe currency of the received amount. Supported value: brlString
detailsThe funding's specific details, the fields included vary depending on the type of funding: direct deposit, inbound reversal, or deposit via a dynamic QR code. See examples below.JSON object
fidThe unique funding ID.String
integrationThe specific integration that enables Bitso to connect to the given payment network. Supported value: starkString
methodThe method used in this funding. Supported value: pixstarkString
method_nameThe full name of the method used. Supported value: PixString
networkThe payment network through which the funding was processed. Supported value: pixString
protocolThe specific mechanism, protocol, or standard used in the network. Supported value: pix_indString
statusThe status of the funding.
Possible values: pending, complete, and failed.
String

The following response objects exemplify a search for a specific funding and one for a list of fundigs:

curl https://api-stage.bitso.com/v3/fundings/7c63377b2bba2723dec2167b3ed1dcc7

{
    "success": true,
    "payload": [
        {
            "fid": "7c63377b2bba2723dec2167b3ed1dcc7",
            "status": "complete",
            "created_at": "2025-02-03T12:53:09+00:00",
            "currency": "brl",
            "method": "pixstark",
            "method_name": "Pix",
            "amount": "10",
            "asset": "brl",
            "network": "pix",
            "protocol": "pix_ind",
            "integration": "stark",
            "details": {
                "end_to_end_id": "D35136120202502031253pn16HHvJdpM",
                "payer": {
                    "account_number": "123456626",
                    "bank_code": null,
                    "bank_name": "BITSO IP LTDA",
                    "branch_code": "0001",
                    "name": "John Doe",
                    "tax_id": "12345678901"
                },
                "is_reversal": true,
                "original_end_to_end_id": "E3513612020250203125000000059372"
            },
            "legal_operation_entity": {
                "name": "Nvio Brazil",
                "country_code_iso_2": "BR",
                "image_id": "nvio"
            }
        }
    ]
}
curl https://api-stage.bitso.com/v3/fundings
{
    "success": true,
    "payload": [
      {
            "fid": "bb0d9b2419656a136cdd4342391d2814",
            "status": "complete",
            "created_at": "2025-01-16T23:29:33+00:00",
            "currency": "brl",
            "method": "pixstark",
            "method_name": "Pix",
            "amount": "11",
            "asset": "brl",
            "network": "pix",
            "protocol": "pix_ind",
            "integration": "stark",
            "details": {
                "end_to_end_id": "E3513612020250116232900000029415",
                "payer": {
                    "account_number": "123456789",
                    "bank_code": "35136120",
                    "bank_name": "BITSO IP LTDA",
                    "branch_code": "0001",
                    "name": "Harry Potter ",
                    "tax_id": "77777774200"
                },
                "payee": {
                    "name": "Jane Doe",
                    "account_number": "319999999",
                    "bank_code": "35136120",
                    "branch_code": "0001",
                    "tax_id": "48488888888"
                },
                "is_reversal": false
            }
        },
        {
            "fid": "7c63377b2bba2723dec2167b3ed1dcc7",
            "status": "complete",
            "created_at": "2025-02-03T12:53:09+00:00",
            "currency": "brl",
            "method": "pixstark",
            "method_name": "Pix",
            "amount": "10",
            "asset": "brl",
            "network": "pix",
            "protocol": "pix_ind",
            "integration": "stark",
            "details": {
                "end_to_end_id": "D35136120202502031253pn16HHvJdpM",
                "payer": {
                    "account_number": "987654321",
                    "bank_code": null,
                    "bank_name": "BITSO IP LTDA",
                    "branch_code": "0001",
                    "name": "Bertrand Russell",
                    "tax_id": "39511111111"
                },
                "is_reversal": true,
                "original_end_to_end_id": "E3513612020250203125000000059372"
            }
        }
    ]
}

Did this page help you?